package com.dcsoft.system.mapper;

import java.util.List;
import com.dcsoft.system.domain.SysSpace;
import com.dcsoft.system.domain.vo.SysAuthTree;

/**
 * 空间管理Mapper接口
 *
 * @author nichun
 * @date 2023-03-08
 */
public interface SysSpaceMapper
{
    /**
     * 查询空间管理
     *
     * @param id 空间管理主键
     * @return 空间管理
     */
    public SysSpace selectSysSpaceById(Long id);

    /**
     * 查询空间管理列表
     *
     * @param sysSpace 空间管理
     * @return 空间管理集合
     */
    public List<SysSpace> selectSysSpaceList(SysSpace sysSpace);

    /**
     * 新增空间管理
     *
     * @param sysSpace 空间管理
     * @return 结果
     */
    public int insertSysSpace(SysSpace sysSpace);

    /**
     * 修改空间管理
     *
     * @param sysSpace 空间管理
     * @return 结果
     */
    public int updateSysSpace(SysSpace sysSpace);

    /**
     * 删除空间管理
     *
     * @param id 空间管理主键
     * @return 结果
     */
    public int deleteSysSpaceById(Long id);

    /**
     * 批量删除空间管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysSpaceByIds(Long[] ids);

    List<SysAuthTree> selectTree();
}
